Laravel 5 IDE Helper
Laravel 5 IDE Helper



Laravel 5.5 está en fase de desarrollo desde hace algún tiempo y las cosas ya están bastante definidas para saber qué novedades nos vamos a encontrar, en este tutorial vamos a ver cómo podemos crear un proyecto con Laravel 5.5 para empezar a trastear un poco.

PHP 7+ requerido en Laravel 5.5

Eso es, a partir de Laravel 5.5 la versión mínima de PHP será la 7, por lo tanto, si no tienes esa versión instalada en tu línea de comandos no vas a poder crear un proyecto con esta versión de Laravel utilizando el comando laravel new.

Lo primero que debemos hacer es tener disponible el comando laravel desde la terminal, y eso lo conseguimos ejecutando el siguiente comando.


Ahora en mi caso voy a abrir el archivo ~/.bash_profile y voy a añadir las siguientes líneas, la primera simplemente será para tener el comando laravel en la terminal y la segunda para cambiar la versión de php de la línea de comandos.


Si ahora reiniciamos la terminal y ejecutamos el comando php -v veremos que ya tenemos la versión 7.1.1 de PHP disponible, justo lo que necesitamos para crear un proyecto con Laravel 5.5 en este momento.

Crear un proyecto con la versión 5.5 de Laravel

Cómo ya hemos dicho, la versión de desarrollo del repositorio de laravel/framework es la 5.5, y para crear un proyecto utilizando esta versión simplemente debemos utilizar el flag –dev de la siguiente forma.

Con el comando anterior tendrás un nuevo proyecto utilizando Laravel 5.5 y ya puedes empezar a jugar un poco con esta nueva versión de este potente framework.

Curso de Laravel 5

Código completamente actualizado

En cursosdesarrolloweb.es tienes un curso completo para aprender a trabajar con Laravel 5 utilizando las últimas versiones con ejemplos fáciles y útiles.

Todos los cursos tienen acceso de forma indefinida 24/7, así que puedes seguirlos adecuando el horario a tus necesidades.